Bug 69020 - FILEOPEN XLS Cell fill pattern shown as flat grey
Summary: FILEOPEN XLS Cell fill pattern shown as flat grey
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:xls
Depends on:
Blocks: XLS Object-Fill-Pattern
  Show dependency treegraph
 
Reported: 2013-09-06 09:30 UTC by bugzilla
Modified: 2018-11-06 08:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
xls sheet with cell formatting issues (19.00 KB, application/vnd.ms-excel)
2013-09-06 09:30 UTC, bugzilla
Details
excel on left, libreoffice on right (97.00 KB, image/png)
2014-06-24 17:58 UTC, afonit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2013-09-06 09:30:59 UTC
Created attachment 85312 [details]
xls sheet with cell formatting issues

Problem description: MS Office compatibility issue - cell borders and shading modified in printout

Steps to reproduce:
1. open and print the attached test document in LibreOffice
2. open and print the attached test document in MS Office
3. compare the printouts; check the lower right quarter with the shaded cells and the cells with the formatted borders 

Current behavior in LibreOffice: 
Fill pattern style:
- 12% grey dotted fill is lost and printed in flat light grey
- Thin horizontal crosshatch is lost and printed in flat dark grey 

Border line style:
- dashed lines are printed as straight lines

Expected behavior: print cell formats as they are printed by  MS Office


Printer/Printer driver: Samsung CLP-320 Series (but most probably the result is the same with other printers)
Operating System: Windows 7
Version: 4.1.0.4 release
Comment 1 afonit 2014-06-24 17:47:14 UTC
Moving to status NEW as I can confirm what the bug reporter has identified.

I am on:
4.2.5.2
and
Fedora 20
Comment 2 afonit 2014-06-24 17:58:58 UTC
Created attachment 101683 [details]
excel on left, libreoffice on right

just took a screenshot of both in case other people don't have access to excel to open the file and compare.
Comment 3 QA Administrators 2015-07-18 17:44:30 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-10-23 16:53:08 UTC
Yeah, don't really need to print it..

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-11-08 11:28:05 UTC Comment hidden (obsolete)
Comment 6 bugzilla 2017-02-03 09:23:01 UTC
Re-tested in LibreOffice 5.1.6.2 on Windows 10 x64 
Re-tested without doing paper printout - you can already see the difference when you open the file in MS and LO.

Current behavior in LibreOffice: issues partly fixed

Fill pattern style:
- 12% grey dotted fill is still lost and shown in flat light grey
- Thin horizontal crosshatch is still lost and shown in flat dark grey 

Border line style: dashed lines are ok now
Comment 7 QA Administrators 2018-02-04 03:30:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug